Package org.apache.catalina.startup

## Class AddPortOffsetRule

- java.lang.Object
- - org.apache.tomcat.util.digester.Rule
  - - org.apache.catalina.startup.AddPortOffsetRule

-     public class AddPortOffsetRule
      extends Rule

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.digester.Rule

      `digester, namespaceURI, sm`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddPortOffsetRule()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `begin​(java.lang.String namespace, java.lang.String name, org.xml.sax.Attributes attributes)` | This method is called when the beginning of a matching XML element is encountered.

    - ### Methods inherited from class org.apache.tomcat.util.digester.Rule

      `body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddPortOffsetRule

          public AddPortOffsetRule()

  - ### Method Detail

    - #### begin

          public void begin​(java.lang.String namespace,
                            java.lang.String name,
                            org.xml.sax.Attributes attributes)
                     throws java.lang.Exception

      Description copied from class: `Rule`
      This method is called when the beginning of a matching XML element is encountered. The default implementation is a NO-OP.
      Overrides:
        `begin` in class `Rule`
      Parameters:
        `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
        `name` - the local name if the parser is namespace aware, or just the element name otherwise
        `attributes` - The attribute list of this element
      Throws:
        `java.lang.Exception` - if an error occurs while processing the event